
QGIS Application - Bug report #3426

WFS attribute table is missing most of the data

2011-01-18 04:33 PM - tybion -

Status: Closed

Priority: Low

Assignee: Even Rouault

Category: Web Services clients/WFS

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13486

Description

To observe problem -

1. Create WFS layer with URL - http://ogi.state.ok.us/geoserver/wfs (502)

2. Read layer ogi:doq_centroids (about 5,048 points)

3. After points have appeared on the screen, open the Attribute Table

4. Look at row where gid=1 - only gid, tot_q_sqmi and usgs_qd_id have data - all other fields are blank

If I download the WFS as a file, the data for gid=1 is as follows.

ie. many of the fields have data.

<gml:featureMember>

 <ogi:doq_centroids fid="doq_centroids.nfm-374592a4_12d9b67bb06_-e80">

  <gml:boundedBy>

    <gml:Box srsName="http://www.opengis.net/gml/srs/epsg.xml#4326">

      <gml:coordinates xmlns:gml="http://www.opengis.net/gml" decimal="." cs="," ts=" ">-103.03125032,36.96874905

-103.03125032,36.96874905</gml:coordinates>

    </gml:Box>

  </gml:boundedBy>

  <ogi:gid>1</ogi:gid>

  <ogi:sdsm_id   >1</ogi:sdsm_id   >

  <ogi:area      >0.016000</ogi:area      >

  <ogi:perimeter >0.500000</ogi:perimeter >

  <ogi:q_24ks_   >1878</ogi:q_24ks_   >

  <ogi:q_24ks_id >31191</ogi:q_24ks_id >

  <ogi:quad_name >Goodson School</ogi:quad_name >

  <ogi:map_edit  >1</ogi:map_edit  >

  <ogi:st_fips1  >35</ogi:st_fips1  >

  <ogi:st_name1  >New Mexico</ogi:st_name1  >

  <ogi:st1_sq_mi >58</ogi:st1_sq_mi >

  <ogi:st_fips2  >8</ogi:st_fips2  >

  <ogi:st_name2  >Colorado</ogi:st_name2  >

  <ogi:st2_sq_mi >1</ogi:st2_sq_mi >

  <ogi:st_fips3  >40</ogi:st_fips3  >

  <ogi:st_name3  >Oklahoma</ogi:st_name3  >

  <ogi:st3_sq_mi >1</ogi:st3_sq_mi >

  <ogi:st_fips4  >0</ogi:st_fips4  >

  <ogi:st4_sq_mi >0</ogi:st4_sq_mi >

  <ogi:tot_q_sqmi>120</ogi:tot_q_sqmi>

  <ogi:date_pub  >75</ogi:date_pub  >

  <ogi:usgs_qd_id>36103-H11</ogi:usgs_qd_id>
  <ogi:urlcode   >36103/36103h11</ogi:urlcode   >

  <ogi:file_loc  >36103\\36103h11.bil</ogi:file_loc  >

  <ogi:mrsidurl  >36103/mrsid/36103h11</ogi:mrsidurl  >

  <ogi:utmdrgurl >36103/data/o36103h1</ogi:utmdrgurl >

  <ogi:albdrgurl >36103/al36103H1</ogi:albdrgurl >

  <ogi:utmzone   >13</ogi:utmzone   >

  <ogi:centerx   >-103.031250</ogi:centerx   >

  <ogi:centery   >36.968750</ogi:centery   >

  <ogi:the_geom>

    <gml:Point srsName="http://www.opengis.net/gml/srs/epsg.xml#4326">

      <gml:coordinates xmlns:gml="http://www.opengis.net/gml" decimal="." cs="," ts="

">-103.03125032,36.96874905</gml:coordinates>

    </gml:Point>

  </ogi:the_geom>

 </ogi:doq_centroids>

</gml:featureMember>

Associated revisions

Revision e5f7cdcb - 2016-10-06 11:18 PM - Even Rouault

[WFS provider] Be robust to field names ending with spaces in DescribeFeatureType

Fixes #3426

Revision fb50a3e3 - 2016-10-06 11:19 PM - Even Rouault

[WFS provider] Be robust to field names ending with spaces in DescribeFeatureType

Fixes #3426

Revision 5cd7efac - 2016-10-06 11:21 PM - Even Rouault

[WFS provider] Be robust to field names ending with spaces in DescribeFeatureType

Fixes #3426

History

#1 - 2011-01-18 07:14 PM - dr -

Confirm. I think this problem because your xml tags contains many spaces, eg: <ogi:area      >0.016000</ogi:area      > (see source code of XML answer).

Tags without spaces shows correctly in attribute table.

#2 - 2011-01-18 07:36 PM - tybion -

Thanks, DR.

Good work.
This GML comes straight out of Geoserver, but there must be something weird in the [[PostGIS]] table.  Will ask the provider to check it out.

Regards, Tybion

#3 - 2011-01-19 12:08 AM - dr -

It will be so useful if wfs provider could remove whitespace from the start and end of the tag name.

#4 - 2011-01-19 12:10 AM - dr -

... or works with such tags correctly (shows in attribute table).

#5 - 2011-01-19 12:34 PM - tybion -

Regarding '.. or works with such tags correctly (shows in attribute table)'

Should Quantum be able to -

1. handle spaces in XML

OR

2. report that the XML is incorrectly formatted

Isn't it a bug that Quantum does not at least tell the user that there is a problem with the XML?

#6 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2012-10-05 07:16 AM - Giovanni Manghi

- Category changed from Web Services clients/WMS to Web Services clients/WFS

- Status info deleted (0)

- Pull Request or Patch supplied set to No

#10 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#11 - 2016-10-06 02:21 PM - Even Rouault

- Status changed from Open to Closed

Fixed in changeset commit:"e5f7cdcba44166b2f8aeb1a7a22f3175065e27bf".
#12 - 2016-10-06 02:23 PM - Even Rouault

- Assignee changed from Marco Hugentobler to Even Rouault

- Target version changed from Future Release - Lower Priority to Version 2.16
